Summary: X Windows Programming Environment
Name: xwpe
Version: 1.4.2
Release: 14
Copyright: GPL
Url: http://www.rpi.edu/~payned/xwpe
Group: Development/Tools
Source: ftp://ftp.rrzn.uni-hannover.de/pub/systems/unix/xwpe/xwpe-1.4.2.tar.Z
Patch0: ftp://ftp.redhat.com/xwpe-1.4.2-configure.patch
Patch1: ftp://ftp.redhat.com/xwpe-1.4.2-ncurses.patch
Patch2: ftp://ftp.redhat.com/xwpe-1.4.2-glibc.patch
Prefix: /usr
Summary(de): X-Windows-Programmierumgebung
Summary(fr): Environnement de programmation X Window
Summary(tr): X Windows program gelitirme ortam

%changelog
* Fri May 08 1998 Prospector System <bugs@redhat.com>

- translations modified for de, fr, tr


* Wed Apr 15 1998 Erik Troan <ewt@redhat.com>

- built against new ncurses

* Tue Oct 21 1997 Otto Hammersmith <otto@redhat.com>

- fixed source and patch urls
- added URL tag

* Thu Jul 31 1997 Erik Troan <ewt@redhat.com>

- built against glibc

%description
XWPE is actually a package of four programs: we, wpe, xwe, and xwpe.
They are different versions of the same basic programmers editor and
development environment. If you have used some of the Micro$oft
Windows programming IDE's and longed for an X Windows equivalent, this
is what you have been looking for! Also included are the text-mode
equivalents of the X programs, enabling you to use xwpe no matter what
your development environment may be.

This package includes the basic xwpe libraries and the text-mode programs;
the X Windows programs are contained in the 'xwpe-X11' package.

%package X11
Summary: X Windows Programming Environment - X11 programs
Group: X11/Applications/Development
Summary(de): X-Windows-Programmierumgebung - X11-Programme 
Summary(fr): Environnement de programmation X Window - programmes X11
Summary(tr): X Windows Programming Environment - tmleik gelitirme ortam

%description X11

Includes the 'xwpe' and 'xwe' programs from the xwpe package that are
specific to X Windows.

%description -l de X11
Beinhaltet die 'xwpe'- und 'xwe'-Programme aus dem xwpe-Paket, die 
X-Windows-spezifisch sind.

%description -l de
XWPE sind eigentlich 4 Programme: we, wpe, xwe und xwpe.
Dies sind verschiedene Versionen desselben elementaren Programmeditors 
und derselben Entwicklungsumgebung. Wenn Sie bereits mit manchen der 
Micro$oft-Windows-Programmier-IDEs gearbeitet und sich nach einem X-
Windows-quivalent gesehnt haben, dann ist das hier die Lsung fr 
Sie! Ebenfalls eingeschlossen sind die Textmodus-quivalente der 
X-Programme, so da Sie xwpe benutzen knnen, unabhngig davon, in 
welcher Entwicklungsumgebung sie arbeiten.

Das Paket schliet die Grund-xwpe-Libraries und die Textmodusprogramme 
mit ein; die X Windows-Programme sind Teil des xwpe-X11-Pakets.

%description -l fr
xwpe is un paquetage de quatre programmes : we, wpe, xwe et xwpe.
Ce sont des versions diffrentes du mme diteur et environnement de
dveloppement. Si vous avez dj utilis les environnements de programmation
de Micro$oft Windows et que vous recherchiez un quivalent sous X, vous
l'avez trouv ! Il y a aussi les quivalents en mode texte des programmes X,
ce qui vous permet d'utiliser xwpe quel que soit votre environnement de
dveloppement.

Ce paquetage contient les bibliothques xwpe de base et les programmes en
mode texte ; les programmes X Window se trouvent dans le paquetage xwpe-X11

%description -l tr X11
X Window altnda alan tmleik gelitirme ortam yazlmlar.

%description -l tr
XWPE, Micro$oft Windows'da bulunan benzerleri gibi, bir metin dzenleyici ve
tmleik bir gelitirme ortam sunan bir yazlmdr. Bu pakettekiler metin
ekranda alan srmleri bulundurmaktadr.

%prep
%setup
%patch0 -p1
%patch1 -p1
%patch2 -p1

%build
./configure --prefix=/usr
make 

%install
make install

strip /usr/bin/we /usr/bin/xwe /usr/bin/xwpe /usr/bin/wpe

%files
/usr/bin/we
/usr/bin/wpe
/usr/lib/wpe
/usr/man/man1/wpe.1
/usr/man/man1/we.1

%files X11
/usr/man/man1/xwpe.1
/usr/man/man1/xwe.1
/usr/bin/xwe
/usr/bin/xwpe
